# PCKSPGetKSP

Gets the KSP context for a KSP PC.

### Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCKSPGetKSP(PC pc,KSP *ksp)

Not Collective but KSP returned is parallel if PC was parallel

### Input Parameter

pc -the preconditioner context

### Output Parameters

ksp -the PC solver

### Notes

You must call KSPSetUp() before calling PCKSPGetKSP().

### Keywords

PC, KSP, get, context

Level:advanced
Location: src/ksp/pc/impls/ksp/pcksp.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages